Summary:        Perl extension for finding the memory usage of Perl variables
Name:           perl-Devel-Size
Version:        0.83
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Devel-Size
Source0:        https://cpan.metacpan.org/modules/by-module/Devel/Devel-Size-%{version}.tar.gz

BuildRequires:  make gcc
BuildRequires:  findutils
BuildRequires:  perl-generators perl-interpreter perl-devel perl(strict)
BuildRequires:  perl(Config) perl(:VERSION) >= 5.5 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Exporter) perl(vars) perl(XSLoader)
BuildRequires:  perl(Test::More) perl(constant) perl(feature) perl(lib)
BuildRequires:  perl(Scalar::Util) perl(Tie::Scalar)

%description
This module provides the ability to calculate the real sizes of Perl variables in bytes. 
When you call a function, you use a reference to the size of the variable. If the variable 
is a plain scalar it returns the size of the scalar. If the variable is a hash or an array, 
use a reference when calling.

%prep
%autosetup -n Devel-Size-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="%{optflags}"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc CHANGES README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Devel*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.83-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.83-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.83-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.83-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.83-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.83-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 10 2022 Wang Guodong <gordonwwang@tencent.com> - 0.83-1
- package init.
